Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Misc.Time Class Referencesealed
Inheritance diagram for Zwipe.Build.Misc.Time:
[legend]
Collaboration diagram for Zwipe.Build.Misc.Time:
[legend]

## Public Member Functions
override bool | Execute ()

## Properties
string | Format`[get, set]`
string | Month`[get, set]`
string | Day`[get, set]`
string | Year`[get, set]`
string | Hour`[get, set]`
string | Minute`[get, set]`
string | Second`[get, set]`
string | Millisecond`[get, set]`
string | Ticks`[get, set]`
string | Kind`[get, set]`
string | TimeOfDay`[get]`
string | DayOfYear`[get]`
string | DayOfWeek`[get]`
string | FormattedTime`[get]`
string | ShortDate`[get]`
string | LongDate`[get]`
string | ShortTime`[get]`
string | LongTime`[get]`
DateTime | DateTimeValue`[get]`

## Private Member Functions
void | GetDate ()

## Private Attributes
DateTime | _date
DateTimeKind | _dateTimeKind = DateTimeKind.Local
string | _kind
string | _timeOfDay
string | _dayOfYear
string | _dayOfWeek
string | _formattedTime
string | _shortDate
string | _longDate
string | _shortTime
string | _longTime

## Member Function Documentation

## ◆ Execute()

override bool Zwipe.Build.Misc.Time.Execute | ( |  | ) |

Here is the call graph for this function:

## ◆ GetDate()

void Zwipe.Build.Misc.Time.GetDate | ( |  | ) |
| private

Here is the caller graph for this function:

## Member Data Documentation

## ◆ _date

DateTime Zwipe.Build.Misc.Time._date
| private

## ◆ _dateTimeKind

DateTimeKind Zwipe.Build.Misc.Time._dateTimeKind = DateTimeKind.Local
| private

## ◆ _dayOfWeek

string Zwipe.Build.Misc.Time._dayOfWeek
| private

## ◆ _dayOfYear

string Zwipe.Build.Misc.Time._dayOfYear
| private

## ◆ _formattedTime

string Zwipe.Build.Misc.Time._formattedTime
| private

## ◆ _kind

string Zwipe.Build.Misc.Time._kind
| private

## ◆ _longDate

string Zwipe.Build.Misc.Time._longDate
| private

## ◆ _longTime

string Zwipe.Build.Misc.Time._longTime
| private

## ◆ _shortDate

string Zwipe.Build.Misc.Time._shortDate
| private

## ◆ _shortTime

string Zwipe.Build.Misc.Time._shortTime
| private

## ◆ _timeOfDay

string Zwipe.Build.Misc.Time._timeOfDay
| private

## Property Documentation

## ◆ DateTimeValue

DateTime Zwipe.Build.Misc.Time.DateTimeValue
| get

## ◆ Day

string Zwipe.Build.Misc.Time.Day
| get set

## ◆ DayOfWeek

string Zwipe.Build.Misc.Time.DayOfWeek
| get

## ◆ DayOfYear

string Zwipe.Build.Misc.Time.DayOfYear
| get

## ◆ Format

string Zwipe.Build.Misc.Time.Format
| get set

## ◆ FormattedTime

string Zwipe.Build.Misc.Time.FormattedTime
| get

## ◆ Hour

string Zwipe.Build.Misc.Time.Hour
| get set

## ◆ Kind

string Zwipe.Build.Misc.Time.Kind
| get set

## ◆ LongDate

string Zwipe.Build.Misc.Time.LongDate
| get

## ◆ LongTime

string Zwipe.Build.Misc.Time.LongTime
| get

## ◆ Millisecond

string Zwipe.Build.Misc.Time.Millisecond
| get set

## ◆ Minute

string Zwipe.Build.Misc.Time.Minute
| get set

## ◆ Month

string Zwipe.Build.Misc.Time.Month
| get set

## ◆ Second

string Zwipe.Build.Misc.Time.Second
| get set

## ◆ ShortDate

string Zwipe.Build.Misc.Time.ShortDate
| get

## ◆ ShortTime

string Zwipe.Build.Misc.Time.ShortTime
| get

## ◆ Ticks

string Zwipe.Build.Misc.Time.Ticks
| get set

## ◆ TimeOfDay

string Zwipe.Build.Misc.Time.TimeOfDay
| get

## ◆ Year

string Zwipe.Build.Misc.Time.Year
| get set

The documentation for this class was generated from the following file:

- Zwipe.Build/Misc/Time.cs